﻿
@{
    ViewBag.Title = "Index";
}

<h2>Index</h2>

<script type="text/javascript">

    function Login() {

        $.ajax({
            url: 'TestValues?UserName=' + $('#txtUserName').val() + '&Password=' + $('#txtPassword').val(),
            type: 'GET',
            beforeSend: function (xhr) { xhr.setRequestHeader('X-Test-Header', 'working'); },
            dataType: 'json',
            contentType: 'application/json; charset=utf-8',
            success: function (data) {
                alert('working');
            },
            failure: function (response) {
                alert(response.d);
            },
            error: function (response) {
                alert(response.d);
            }
        });
    }
</script>

<div>
    <div>
        Login :<input id="txtUserName" type="text" />
    </div>
    <div>
        Password :<input id="txtPassword" type="text" />
    </div>
    <div>
        <input id="btnSubmit" type="submit" value="submit" onclick="Login()" />
    </div>
</div>